<div class="content">
  <div class="row" *ngFor="let row of rows">
    <div class="col-md-4" *ngFor="let book of row" >
      <div class="card card-user">
        <div class="image">
          <img src="./assets/img/logo.svg" alt="...">
        </div>
        <div class="card-body">
          <div class="author">
            <a routerLink="/details/{{book.id}}">
              <img class="avatar border-gray" src="data:image/jpeg;base64,{{book.img.bytes}}" *ngIf="hasImg(book)">
              <img class="avatar border-gray" src="./assets/img/default.jpg"  *ngIf="!hasImg(book)">
              <h5 class="title">{{book.title | slice:0:30}}</h5>
            </a>
            <p class="description">
              {{book.autor | slice:0:30}}
            </p>
            <p class="description text-center">
              {{book.description | slice : 0:60}}
            </p>
          </div>
        </div>
        <div class="card-footer">
          <hr>
          <div class="button-container">
            <div class="row">
              <div class="col">
              </div>
              <div class="col align-self-end">
                <a class="btn btn-default btn-sm" *ngIf="isStore(book)" (click) = "downloand(book)">
                  <i class="fa fa-cloud-download" style="font-size:20px;color:#a86932"></i>
                </a>
                <a class="btn btn-default btn-sm fa-disabled" *ngIf="!isStore(book)">
                  <i class="fa fa-cloud-download" style="font-size:20px;color:#a86932"></i>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>  
</div>